com.informix.json

## Class AbstractObjectSerializer

- java.lang.Object
- - com.informix.json.AbstractObjectSerializer

All Implemented Interfaces:
  ObjectSerializer

Direct Known Subclasses:
  ClassMapBasedObjectSerializer

    public abstract class AbstractObjectSerializer
    extends java.lang.Object
    implements ObjectSerializer

### Constructor Summary

Constructors
Constructor and Description
`AbstractObjectSerializer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `serialize(java.lang.Object obj)` Serializes `obj`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.informix.json.ObjectSerializer

`serialize`

### Constructor Detail

#### AbstractObjectSerializer

    public AbstractObjectSerializer()

### Method Detail

#### serialize

    public java.lang.String serialize(java.lang.Object obj)

Description copied from interface: `ObjectSerializer`
Serializes `obj`.

Specified by:
  `serialize` in interface `ObjectSerializer`
Parameters:
  `obj` - object to serialize
Returns:
  the serialized object